From acc7fb05f9bbf07e7d6e1accce9cdbdf26b91411 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 24 2020 22:10:09 +0000
Subject: [PATCH 929/2232] Simpler expression for making an empty slice


---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 9d04cb5..a5fe536 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -75,7 +75,7 @@ where
             // pointer or sufficiently aligned pointer, so using it would be
             // undefined behavior. Create our own empty slice in Rust instead
             // which upholds the invariants.
-            <&[T]>::default()
+            &[]
         } else {
             let ptr = unsafe { T::__get_unchecked(self, 0) };
             unsafe { slice::from_raw_parts(ptr, len) }

